SoapEncSchemaTypeSystem (xmlbeans API)

org.apache.xmlbeans.impl.schema

## Class SoapEncSchemaTypeSystem

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaTypeLoaderBase
  - - org.apache.xmlbeans.impl.schema.SoapEncSchemaTypeSystem

- All Implemented Interfaces:
    SchemaTypeLoader, SchemaTypeSystem

      public class SoapEncSchemaTypeSystem
      extends SchemaTypeLoaderBase
      implements SchemaTypeSystem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ARRAY_TYPE`
    `static String` | `SOAP_ARRAY`
    `static String` | `SOAPENC`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchemaAnnotation[]` | `annotations()` Returns the top-level annotations
    `SchemaAttributeGroup[]` | `attributeGroups()` Returns the attribute groups defined in this loader.
    `SchemaType[]` | `attributeTypes()` Returns the attribute types defined in this loader.
    `SchemaType[]` | `documentTypes()` Returns the document types defined in this loader.
    `SchemaGlobalAttribute` | `findAttribute(QName qName)` Returns the global attribute defintion with the given name, or null if none.
    `SchemaAttributeGroup` | `findAttributeGroup(QName qName)` Returns the attribute group defintion with the given name, or null if none.
    `SchemaAttributeGroup.Ref` | `findAttributeGroupRef(QName qName)` Used for on-demand loading.
    `SchemaGlobalAttribute.Ref` | `findAttributeRef(QName qName)` Used for on-demand loading.
    `SchemaType` | `findAttributeType(QName qName)` Returns the attribute type containing the given attribute name, or null if none.
    `SchemaType.Ref` | `findAttributeTypeRef(QName qName)` Used for on-demand loading.
    `SchemaType` | `findDocumentType(QName qName)` Returns the document type rooted at the given element name, or null if none.
    `SchemaType.Ref` | `findDocumentTypeRef(QName qName)` Used for on-demand loading.
    `SchemaGlobalElement` | `findElement(QName qName)` Returns the global element defintion with the given name, or null if none.
    `SchemaGlobalElement.Ref` | `findElementRef(QName qName)` Used for on-demand loading.
    `SchemaIdentityConstraint.Ref` | `findIdentityConstraintRef(QName qName)` Used for on-demand loading.
    `SchemaModelGroup` | `findModelGroup(QName qName)` Returns the model group defintion with the given name, or null if none.
    `SchemaModelGroup.Ref` | `findModelGroupRef(QName qName)` Used for on-demand loading.
    `SchemaType` | `findType(QName qName)` Returns the type with the given name, or null if none.
    `SchemaType.Ref` | `findTypeRef(QName qName)` Used for on-demand loading.
    `static SchemaTypeSystem` | `get()`
    `ClassLoader` | `getClassLoader()` Returns the classloader used by this loader for resolving types.
    `String` | `getName()` Returns the name of this loader.
    `InputStream` | `getSourceAsStream(String string)` Loads original XSD source as a stream.
    `SchemaGlobalAttribute[]` | `globalAttributes()` Returns the global attributes defined in this loader.
    `SchemaGlobalElement[]` | `globalElements()` Returns the global elements defined in this loader.
    `SchemaType[]` | `globalTypes()` Returns the global types defined in this loader.
    `String` | `handleForType(SchemaType type)` Returns the handle for the given type within this loader.
    `boolean` | `isNamespaceDefined(String string)` True if the typeloader contains any definitions in the given namespace.
    `SchemaModelGroup[]` | `modelGroups()` Returns the model groups defined in this loader.
    `void` | `resolve()` Describe `resolve` method here.
    `SchemaComponent` | `resolveHandle(String string)` Locates a type, element, or attribute using the handle.
    `void` | `save(Filer filer)` Saves this type system using a Filer
    `void` | `saveToDirectory(File file)` Describe `saveToDirectory` method here.
    `SchemaType` | `typeForClassname(String string)` Finds a type for a given fully-qualified XML Bean classname
    `SchemaType` | `typeForHandle(String string)` Locates a type, element, or attribute using the handle.

    - ### Methods inherited from class org.apache.xmlbeans.impl.schema.SchemaTypeLoaderBase

      `compilePath, compilePath, compileQuery, compileQuery, newDomImplementation, newInstance, newXmlSaxHandler, parse, parse, parse, parse, parse, parse, parse, typeForSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.SchemaTypeLoader

      `compilePath, compileQuery, newDomImplementation, newInstance, newXmlSaxHandler, parse, parse, parse, parse, parse, parse, parse, typeForSignature`

- - ### Field Detail

    - #### SOAPENC

          public static final String SOAPENC

      See Also:
        Constant Field Values

    - #### SOAP_ARRAY

          public static final String SOAP_ARRAY

      See Also:
        Constant Field Values

    - #### ARRAY_TYPE

          public static final String ARRAY_TYPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public static SchemaTypeSystem get()

    - #### getName

          public String getName()

      Returns the name of this loader.
      Specified by:
        `getName` in interface `SchemaTypeSystem`

    - #### findType

          public SchemaType findType(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Returns the type with the given name, or null if none.
      Specified by:
        `findType` in interface `SchemaTypeLoader`
      Overrides:
        `findType` in class `SchemaTypeLoaderBase`

    - #### findDocumentType

          public SchemaType findDocumentType(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Returns the document type rooted at the given element name, or null if none.
      Specified by:
        `findDocumentType` in interface `SchemaTypeLoader`
      Overrides:
        `findDocumentType` in class `SchemaTypeLoaderBase`

    - #### findAttributeType

          public SchemaType findAttributeType(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Returns the attribute type containing the given attribute name, or null if none.
      Specified by:
        `findAttributeType` in interface `SchemaTypeLoader`
      Overrides:
        `findAttributeType` in class `SchemaTypeLoaderBase`

    - #### findElement

          public SchemaGlobalElement findElement(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Returns the global element defintion with the given name, or null if none.
      Specified by:
        `findElement` in interface `SchemaTypeLoader`
      Overrides:
        `findElement` in class `SchemaTypeLoaderBase`

    - #### findAttribute

          public SchemaGlobalAttribute findAttribute(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Returns the global attribute defintion with the given name, or null if none.
      Specified by:
        `findAttribute` in interface `SchemaTypeLoader`
      Overrides:
        `findAttribute` in class `SchemaTypeLoaderBase`

    - #### findModelGroup

          public SchemaModelGroup findModelGroup(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Returns the model group defintion with the given name, or null if none.
      Specified by:
        `findModelGroup` in interface `SchemaTypeLoader`
      Overrides:
        `findModelGroup` in class `SchemaTypeLoaderBase`

    - #### findAttributeGroup

          public SchemaAttributeGroup findAttributeGroup(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Returns the attribute group defintion with the given name, or null if none.
      Specified by:
        `findAttributeGroup` in interface `SchemaTypeLoader`
      Overrides:
        `findAttributeGroup` in class `SchemaTypeLoaderBase`

    - #### isNamespaceDefined

          public boolean isNamespaceDefined(String string)

      Description copied from interface: `SchemaTypeLoader`
      True if the typeloader contains any definitions in the given namespace.
      Specified by:
        `isNamespaceDefined` in interface `SchemaTypeLoader`

    - #### findTypeRef

          public SchemaType.Ref findTypeRef(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.
      Specified by:
        `findTypeRef` in interface `SchemaTypeLoader`

    - #### findDocumentTypeRef

          public SchemaType.Ref findDocumentTypeRef(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.
      Specified by:
        `findDocumentTypeRef` in interface `SchemaTypeLoader`

    - #### findAttributeTypeRef

          public SchemaType.Ref findAttributeTypeRef(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.
      Specified by:
        `findAttributeTypeRef` in interface `SchemaTypeLoader`

    - #### findElementRef

          public SchemaGlobalElement.Ref findElementRef(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.
      Specified by:
        `findElementRef` in interface `SchemaTypeLoader`

    - #### findAttributeRef

          public SchemaGlobalAttribute.Ref findAttributeRef(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.
      Specified by:
        `findAttributeRef` in interface `SchemaTypeLoader`

    - #### findModelGroupRef

          public SchemaModelGroup.Ref findModelGroupRef(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.
      Specified by:
        `findModelGroupRef` in interface `SchemaTypeLoader`

    - #### findAttributeGroupRef

          public SchemaAttributeGroup.Ref findAttributeGroupRef(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.
      Specified by:
        `findAttributeGroupRef` in interface `SchemaTypeLoader`

    - #### findIdentityConstraintRef

          public SchemaIdentityConstraint.Ref findIdentityConstraintRef(QName qName)

      Description copied from interface: `SchemaTypeLoader`
      Used for on-demand loading.
      Specified by:
        `findIdentityConstraintRef` in interface `SchemaTypeLoader`

    - #### typeForClassname

          public SchemaType typeForClassname(String string)

      Description copied from interface: `SchemaTypeLoader`
      Finds a type for a given fully-qualified XML Bean classname
      Specified by:
        `typeForClassname` in interface `SchemaTypeLoader`

    - #### getSourceAsStream

          public InputStream getSourceAsStream(String string)

      Description copied from interface: `SchemaTypeLoader`
      Loads original XSD source as a stream. See `SchemaComponent.getSourceName()`.
      Specified by:
        `getSourceAsStream` in interface `SchemaTypeLoader`

    - #### getClassLoader

          public ClassLoader getClassLoader()

      Returns the classloader used by this loader for resolving types.
      Specified by:
        `getClassLoader` in interface `SchemaTypeSystem`

    - #### resolve

          public void resolve()

      Describe `resolve` method here.
      Specified by:
        `resolve` in interface `SchemaTypeSystem`

    - #### globalTypes

          public SchemaType[] globalTypes()

      Description copied from interface: `SchemaTypeSystem`
      Returns the global types defined in this loader.
      Specified by:
        `globalTypes` in interface `SchemaTypeSystem`
      Returns:
        an array consisting of a single type

    - #### documentTypes

          public SchemaType[] documentTypes()

      Description copied from interface: `SchemaTypeSystem`
      Returns the document types defined in this loader.
      Specified by:
        `documentTypes` in interface `SchemaTypeSystem`

    - #### attributeTypes

          public SchemaType[] attributeTypes()

      Description copied from interface: `SchemaTypeSystem`
      Returns the attribute types defined in this loader.
      Specified by:
        `attributeTypes` in interface `SchemaTypeSystem`

    - #### globalElements

          public SchemaGlobalElement[] globalElements()

      Description copied from interface: `SchemaTypeSystem`
      Returns the global elements defined in this loader.
      Specified by:
        `globalElements` in interface `SchemaTypeSystem`

    - #### globalAttributes

          public SchemaGlobalAttribute[] globalAttributes()

      Description copied from interface: `SchemaTypeSystem`
      Returns the global attributes defined in this loader.
      Specified by:
        `globalAttributes` in interface `SchemaTypeSystem`

    - #### modelGroups

          public SchemaModelGroup[] modelGroups()

      Description copied from interface: `SchemaTypeSystem`
      Returns the model groups defined in this loader.
      Specified by:
        `modelGroups` in interface `SchemaTypeSystem`

    - #### attributeGroups

          public SchemaAttributeGroup[] attributeGroups()

      Description copied from interface: `SchemaTypeSystem`
      Returns the attribute groups defined in this loader.
      Specified by:
        `attributeGroups` in interface `SchemaTypeSystem`

    - #### annotations

          public SchemaAnnotation[] annotations()

      Description copied from interface: `SchemaTypeSystem`
      Returns the top-level annotations
      Specified by:
        `annotations` in interface `SchemaTypeSystem`

    - #### handleForType

          public String handleForType(SchemaType type)

      Returns the handle for the given type within this loader.

    - #### resolveHandle

          public SchemaComponent resolveHandle(String string)

      Description copied from interface: `SchemaTypeSystem`
      Locates a type, element, or attribute using the handle.
      Specified by:
        `resolveHandle` in interface `SchemaTypeSystem`

    - #### typeForHandle

          public SchemaType typeForHandle(String string)

      Description copied from interface: `SchemaTypeSystem`
      Locates a type, element, or attribute using the handle.
      Specified by:
        `typeForHandle` in interface `SchemaTypeSystem`

    - #### saveToDirectory

          public void saveToDirectory(File file)

      Describe `saveToDirectory` method here.
      Specified by:
        `saveToDirectory` in interface `SchemaTypeSystem`
      Parameters:
        `file` - a `File` value

    - #### save

          public void save(Filer filer)

      Description copied from interface: `SchemaTypeSystem`
      Saves this type system using a Filer
      Specified by:
        `save` in interface `SchemaTypeSystem`